Kerbal Space Program - Bug #3615

Crash on reverting to VAB
11/29/2014 04:56 PM - oakwhiz

Status: Closed Start date: 11/29/2014
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.25 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Reverted to VAB and the game crashed.

¢ No mods

¢ Windows 8.1
* 0.25

32-bit build

History

#1 - 11/30/2014 12:18 PM - quietghost

It looks like a memory crash to me, but more information would be useful in isolating the cause. How long were you playing (in a continuous session)
before the crash happened? Did you recently fly around Kerbin or explore another planet?

#2 - 11/30/2014 08:58 PM - oakwhiz
quietghost wrote:

It looks like a memory crash to me, but more information would be useful in isolating the cause. How long were you playing (in a continuous
session) before the crash happened? Did you recently fly around Kerbin or explore another planet?

| don't remember the specifics but | flew around Kerbin a couple of times for maybe a couple of hours. | reverted to launch several times during the
process.

#3 - 12/01/2014 07:27 PM - quietghost

Thanks for the reply. From what the log says and from what you tell me, the evidence points towards a memory crash. Over time the game manages
to accumulate assets stored in RAM, and over a couple hours and some flying time around Kerbin eventually the 4GB memory cap will be reached. |
will leave this open for another opinion, but the log gives no exceptions, just a sudden crash, which is very characteristic of the memory crashes that |
have experienced. | do find it odd, however that stock KSP would have a memory crash. In my experience this slow cluttering would take so long on
stock KSP to hit the memory cap that it has not happened to me, but in theory it is possible and perhaps this is one such occurrence.

#4 - 07/27/2015 05:56 PM - Squelch
- Platform deleted (Windows)

#5 - 07/17/2016 09:31 AM - TriggerAu

- Status changed from New to Needs Clarification

#6 - 08/09/2016 11:30 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
Files

2014-11-29_122942.zip 72.3 KB 11/29/2014 oakwhiz
